## openhpi 3.6.1

=== debian/changelog ===
openhpi (3.6.1-3.1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:24:33 +0000

openhpi (3.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1 by honouring OPENSSL_NO_MD2.
    (Closes: #859543)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Jan 2018 09:57:25 +0200

openhpi (3.6.1-3) unstable; urgency=medium

  * Fixed SNMPFLAGS FTBFS (Closes: #870733)
  * Fixed ftbfs with GCC-7 (Closes: #853590)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Tue, 12 Sep 2017 11:50:16 -0500

openhpi (3.6.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -dbgsym packages from debian/control, these are autogenerated by
    dh_strip.  (Closes: #852433)
  * Move the plugin .so links into the plugin packages.  (Closes: #615955)
  * libopenhpi3.postrm: Drop manual ldconfig call.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Mar 2017 17:13:16 +0100

openhpi (3.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828468)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 21:45:48 +0200

openhpi (3.6.1-2) unstable; urgency=medium

  * Fixed bogus descriptions of -dbgsym packages (Closes: #818660)
  * Fixed libopenhpi transition problems (Closes: #818841)
 
 -- Bryan Sutula <bryan.sutula@hpe.com>  Fri, 25 Mar 2016 13:50:16 -0500

openhpi (3.6.1-1) unstable; urgency=medium

  * Updated to upstream 3.6.1 version; differences listed at
    http://openhpi.org/News
  * Major changes: bug fixes, dynamic simulator plugin 
  * Changes to take care of new ssl, glib etc
  * Major credit for this upload to Mohan Devarajulu <mohan.devarajulu@hpe.com>
  * Fixed security bug CVE-2015-3248 (Closes: #789543)
  * Run dh-autoreconf to update config (Closes: #752453)
  * Added systemd control file (Closes: #785287)
 
 -- Bryan Sutula <bryan.sutula@hpe.com>  Tue, 15 Mar 2016 22:11:14 -0500

openhpi (2.14.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unneeded autoconf and automake1.9 build deps. (Closes: #724425)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 18:50:37 -0500

openhpi (2.14.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * src/lock.c: Include glib.h instead of individual headers. Thanks to Andy
    Whitcroft for the patch. (Closes: #665590)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jun 2013 17:05:17 +0200

openhpi (2.14.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Split off Linux-specific plugins to fix FTBFS on GNU/kFreeBSD.
    (Closes: #650816)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Apr 2012 23:33:49 +0200

openhpi (2.14.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload openhpi (2.14.1-1ubuntu1) except debian/control changes
    to Debian sid (Closes: #565105) (Closes: #555866)
  * Avoid including autotools-dev copies of config.{guess,sub} in
    the debian changes (*.diff.gz)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Jul 2011 22:23:29 +0200

openhpi (2.14.1-1ubuntu1) natty; urgency=low

  * plugins/ipmidirect/ipmi_mc_vendor.cpp: Fix FTBFS with gcc 4.5.
    Taken from upstream. (LP: #687986)
  * clients/Makefile.{am,in}: Add missing libraries otherwise it FTBFS.
    Related to linker '--as-needed' change.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 07 Jan 2011 16:17:28 -0500

openhpi (2.14.1-1) unstable; urgency=low

  * Updated to upstream 2.14.1 version; differences listed at
    http://openhpi.org/News
  * Major changes: bug fixes, bug fixes, and more bug fixes
  * Modified daemon behavior to avoid running until user has configured
    the package for their hardware

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Mon, 14 Jun 2010 11:10:14 -0600

openhpi (2.14.0-3) unstable; urgency=low

  * Cleaned up a bunch of lintian items; documented others in TODO

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Wed, 25 Nov 2009 10:40:52 -0700

openhpi (2.14.0-2) unstable; urgency=low

  * Fixed missing lintian override (2.14.0-1 upload not accepted)
  * Minor update to debian/TODO

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Fri, 20 Nov 2009 13:05:14 -0700

openhpi (2.14.0-1) unstable; urgency=low

  * Updated to upstream 2.14.0 version; differences listed at
    http://openhpi.org/News
  * Major changes: now supports version B.03.01 of the SAF HPI
    specification, continuing improvements in the oa_soap plug-in.
  * Updated and expanded package descriptions (Closes: 493621)
  * Added init script test to make sure daemon is present (Closes: 509551)
  * Fixed bashisms in init script (Closes: 530991)
  * Included plug-in documentation provided by upstream but not previously
    installed
  * Updated to current standards version

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 19 Nov 2009 08:02:53 -0700

openhpi (2.12.0-1) unstable; urgency=low

  * Updated to upstream 2.12.0 version; differences listed at
    http://openhpi.org/News
  * Few substantial changes except normal bug-fixing.  Most important
    difference is that this is a released (supported) version of
    openhpi, instead of the 2.11.2 development version.  (Closes: 493032)
  * Added lintian-overrides files to clean up compile/build

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 31 Jul 2008 16:09:20 -0600

openhpi (2.11.2-1) unstable; urgency=low

  * Updated to upstream 2.11.2 version; differences listed at
    http://openhpi.org/News
  * Major changes include the addition of two new plugins
    (ilo2_ribcl and oa_soap), resulting in two new binary packages
    (openhpi-plugin-ilo2-ribcl and openhpi-plugin-oa-soap)

 -- Bryan Sutula <Bryan.Sutula@hp.com>  Thu, 05 Jun 2008 23:49:50 -0600

openhpi (2.10.2-1) unstable; urgency=low

  * Updated to upstream 2.10.2 version; differences listed at
    http://openhpi.org/News
  * Removed special SAF copyright information, since SAF interface
    specification files are now under a BSD-style copyright

