## openhpi 3.8.0

=== debian/changelog ===
openhpi (3.8.0-2build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:57 +0100

openhpi (3.8.0-2build3) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:48 +0000

openhpi (3.8.0-2build2) eoan; urgency=medium

  [ Matthias Klose ]
  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:03:08 +0000

openhpi (3.8.0-2build1) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:57:40 +0200

openhpi (3.8.0-2) unstable; urgency=medium

  * Fixed libopenhpi-dev: broken symlink: /usr/lib/libopenhpi_snmp.so ->
    libopenhpi_snmp.so.3.8.0 (Closes: #906183)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Thu, 13 Sep 2018 11:50:16 -0500

openhpi (3.8.0-1) unstable; urgency=medium

  * Updated to upstream 3.8.0 version; differences listed at
    http://openhpi.org/News
  * Major changes include the addition of a new plugin
    (ov_rest), resulting in a new binary packages
    (openhpi-plugin-ov-rest)

 -- Mohan Devarajulu <mohan.devarajulu@hpe.com>  Tue, 05 Jun 2018 11:50:16 -0500
