=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: openhpi
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mohan Devarajulu <mohan.devarajulu@hpe.com>
+Maintainer: Mohan Devarajulu <mohan.devarajulu@hpe.com>
 Uploaders: Khalid Aziz <khalid@debian.org>
 Homepage: http://openhpi.org
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev, autoconf (>= 2.57), dh-autoreconf, automake(>= 1.9), uuid-dev, libglib2.0-dev (>= 2.2), pkg-config, libltdl-dev, openipmi (>= 2.0.7), libopenipmi-dev (>=2.0.7), libsnmp-dev, libssl-dev, libsysfs-dev (>= 0.3), libncurses5-dev, libxml2-dev
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1~), autoconf (>= 2.57), automake(>= 1.9), uuid-dev, libglib2.0-dev (>= 2.2), pkg-config, libltdl-dev, openipmi (>= 2.0.7), libopenipmi-dev (>=2.0.7), libsnmp-dev, libssl-dev, libsysfs-dev (>= 0.3), libncurses5-dev, libxml2-dev, librabbitmq-dev, libcurl4-openssl-dev, libjson-c-dev
 Standards-Version: 4.0.0
 
 Package: libopenhpi3
@@ -29,7 +28,7 @@
 Package: libopenhpi-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopenhpi3 (= ${binary:Version}), libopenipmi0 (>=2.0.7), openipmi (>=2.0.7)
+Depends: ${misc:Depends}, openhpi
 Description: OpenHPI libraries (development files)
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -71,8 +70,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for HP's ProLiant rackmount servers
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -88,8 +87,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version}), libopenipmi0 (>=2.0.7), openipmi (>=2.0.7)
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for OpenIPMI
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -104,8 +103,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for direct IPMI over LAN (RMCP) or SMI
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -120,25 +119,42 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
-Description: OpenHPI plugin module for HP's BladeSystem c-Class
- OpenHPI is an implementation of the Service Availability Forum's Hardware
- Platform Interface specification.  (See http://www.saforum.org)  As
- such, OpenHPI facilitates the development of computer manageability
- applications which are not tied to a single hardware vendor's products.
- .
- This package contains a plugin module that provides hardware information
- from HP BladeSystem c-Class servers, accessing this information using
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
+Description: OpenHPI plugin module for HPE's BladeSystem c-Class
+ OpenHPI is an implementation of the Service Availability Forum's Hardware
+ Platform Interface specification.  (See http://www.saforum.org)  As
+ such, OpenHPI facilitates the development of computer manageability
+ applications which are not tied to a single hardware vendor's products.
+ .
+ This package contains a plugin module that provides hardware information
+ from HP BladeSystem c-Class enclosures, accessing this information using
  SOAP/XML to an Onboard Administrator module, over a LAN.
 
+Package: openhpi-plugin-ov-rest
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
+Conflicts: libopenhpi, libopenhpi2
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
+Description: OpenHPI plugin module for HPE's Synergy enclosures 
+ OpenHPI is an implementation of the Service Availability Forum's Hardware
+ Platform Interface specification.  (See http://www.saforum.org)  As
+ such, OpenHPI facilitates the development of computer manageability
+ applications which are not tied to a single hardware vendor's products.
+ .
+ This package contains a plugin module that provides hardware information
+ from HPE Synergy enclosures, accessing this information using
+ REST/Json to an Synergy Composer module, over a LAN.
+
 Package: openhpi-plugin-slave
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for slave plugin
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -153,8 +169,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for test agent plugin
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -168,8 +184,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for IBM's BladeCenter or RSA over SNMP
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -181,12 +197,12 @@
 
 Package: openhpi-plugin-sysfs
 Section: libs
-Priority: extra
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
-Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Priority: optional
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
+Conflicts: libopenhpi, libopenhpi2
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for the sysfs filesystem
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -202,8 +218,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for the Linux watchdog interface
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -218,8 +234,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for a simulator that works without hardware
  OpenHPI is an implementation of the Service Availability Forum's Hardware
  Platform Interface specification.  (See http://www.saforum.org)  As
@@ -234,18 +250,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenhpi3 (= ${binary:Version})
 Conflicts: libopenhpi, libopenhpi2
-Breaks: libopenhpi3 (<< 3.6.1-3~)
-Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.6.1-3~)
+Breaks: libopenhpi3 (<< 3.8.0-2~)
+Replaces: libopenhpi, libopenhpi2, libopenhpi3 (<< 3.8.0-2~)
 Description: OpenHPI plugin module for a dynamic simulator
  OpenHPI is an implementation of the Service Availability Forum's Hardware
- Platform Interface specification.  (See http://www.saforum.org)  As
- such, OpenHPI facilitates the development of computer manageability
- applications which are not tied to a single hardware vendor's products.
- .
- This package contains a plugin module that uses the dynamic simulator.
-
-Package: openhpi
-Section: admin
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, libopenhpi-dev (>= 3.6.1), openhpid, openhpi-clients, openhpi-plugin-ilo2-ribcl, openhpi-plugin-ipmi, openhpi-plugin-ipmidirect, openhpi-plugin-oa-soap, openhpi-plugin-snmp-bc
